Create a manages relation (or update the existing one) between two roles When a valid childRolePassword query parameter is specified, the call can be executed when the user is a member of an autorizing role which has direct or indirect roleManagement rights for the parent role of the newly created (or updated) manages relation. When no childRolePassword query parameter is provided, a user can only execute this action if he is a member of an autorizing role which has: direct or indirect roleManagement rights for the parent role of the newly created (or updated) manages relation indirect roleManagement rights for the child role of the newly created (or updated) manages relation
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
Id of the parent role of the newly created (or updated) manages relation
0 <= valueId of the parent role of the newly created (or updated) manages relation
0 <= valuePassword for the child role of the newly created (or updated) manages relation
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/role/0/manages?childRoleId=0" \ -H "Content-Type: application/json" \ -d '{ "roleManagement": true, "userManagement": true, "viewManagement": true, "deviceManagement": true, "reportManagement": true, "alarmManagement": true }'{ "manages": { "id": 0, "parentRoleId": 0, "childRoleId": 0, "roleManagement": true, "userManagement": true, "viewManagement": true, "deviceManagement": true, "reportManagement": true, "alarmManagement": true }}Collect manages relations POST
Get all (or some of) the manages relations which start from a role of which a user is a member (either directly or indirectly).
Update an existing manages relation PUT
Update an existing manages relation. A user can only execute this action if he is a member of an autorizing role which has (direct or indirect) roleManagement rights for the parent role of the manages relation
Indicates that the parent role has the right to attach the child role and its decendants to any other role.
Indicates that the parent role has the right to manage member relations for the child role and its decendants.
Indicates that the parent role has the right to manage views relations for the child role and its decendants.
Indicates that the parent role has the right to manage monitors relations for the child role and its decendants.
Indicates that the parent role has the right to manage "views report relations" for the child role and its decendants
Indicates that the parent role has the right to manage "alarm relations" for the child role and its decendants